declare const _default: {
    new <Model extends import("uniforms").UnknownObject, Props extends import("uniforms").ValidatedFormProps<Model> = import("uniforms").ValidatedFormProps<Model>, State extends import("uniforms").ValidatedFormState<Model> = import("uniforms").ValidatedFormState<Model>>(props: Props): {
        validate: (key?: string, value?: unknown) => Promise<unknown>;
        validateModel: (originalModel: any) => Promise<unknown>;
        getContextError(): import("uniforms").Context<Model>["error"];
        getContext(): import("uniforms").Context<Model>;
        getNativeFormProps(): {
            [key: string]: unknown;
            children?: import("react").ReactNode;
            id?: string;
            key: string;
            noValidate: boolean;
            onSubmit: (event?: import("react").SyntheticEvent) => Promise<unknown>;
        };
        componentDidUpdate(prevProps: Props, prevState: State, snapshot: never): void;
        onChange(key: string, value: unknown): void;
        __reset(state: State): Partial<State>;
        onSubmit(event?: import("react").SyntheticEvent): Promise<unknown>;
        onValidate(key?: string, value?: unknown): Promise<unknown>;
        onValidateModel(originalModel: Props["model"]): Promise<unknown>;
        componentDidMount(): void;
        componentWillUnmount(): void;
        delayId?: ReturnType<typeof setTimeout> | undefined;
        mounted: boolean;
        reset: () => void;
        change: (key: string, value: unknown) => void;
        submit: (event?: import("react").SyntheticEvent) => Promise<unknown>;
        randomId: () => string;
        getContextName(): import("uniforms").Context<Model>["name"];
        getContextModel(): Model;
        getContextState(): import("uniforms").Context<Model>["state"];
        getContextSchema(): import("uniforms").Context<Model>["schema"];
        getContextOnChange(): import("uniforms").Context<Model>["onChange"];
        getContextOnSubmit(): import("uniforms").Context<Model>["onSubmit"];
        getModel(mode?: import("uniforms").ModelTransformMode, model?: Model | undefined): Model;
        onReset(): void;
        render(): import("react").JSX.Element;
        context: unknown;
        setState<K extends keyof State>(state: State | ((prevState: Readonly<State>, props: Readonly<Props>) => State | Pick<State, K> | null) | Pick<State, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Props>;
        state: Readonly<State>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
    };
    Validated: typeof import("uniforms").Validated;
    displayName: string;
    defaultProps: {
        onValidate(model: unknown, error: unknown): unknown;
        validate: string;
        autosave: boolean;
        autosaveDelay: number;
        error: null;
        model: any;
        noValidate: boolean;
        onSubmit(): void;
    };
    contextType?: import("react").Context<any> | undefined;
} & {
    new <Model extends import("uniforms").UnknownObject, Props extends import("uniforms").QuickFormProps<Model> = import("uniforms").QuickFormProps<Model>, State extends import("uniforms").QuickFormState<Model> = import("uniforms").QuickFormState<Model>>(props: Props): {
        getNativeFormProps(): {
            [key: string]: unknown;
            children?: import("react").ReactNode;
            id?: string;
            key: string;
            noValidate: boolean;
            onSubmit: (event?: import("react").SyntheticEvent) => Promise<unknown>;
        };
        getAutoField(): import("react").ComponentType<{
            name: string;
        }>;
        getErrorsField(): import("react").ComponentType;
        getSubmitField(): import("react").ComponentType;
        componentDidMount(): void;
        componentDidUpdate(prevProps: Props, prevState: State, snapshot: never): void;
        componentWillUnmount(): void;
        delayId?: ReturnType<typeof setTimeout> | undefined;
        mounted: boolean;
        reset: () => void;
        change: (key: string, value: unknown) => void;
        submit: (event?: import("react").SyntheticEvent) => Promise<unknown>;
        randomId: () => string;
        getContext(): import("uniforms").Context<Model>;
        getContextName(): import("uniforms").Context<Model>["name"];
        getContextError(): import("uniforms").Context<Model>["error"];
        getContextModel(): Model;
        getContextState(): import("uniforms").Context<Model>["state"];
        getContextSchema(): import("uniforms").Context<Model>["schema"];
        getContextOnChange(): import("uniforms").Context<Model>["onChange"];
        getContextOnSubmit(): import("uniforms").Context<Model>["onSubmit"];
        getModel(mode?: import("uniforms").ModelTransformMode, model?: Model | undefined): Model;
        onChange(key: string, value: unknown): void;
        __reset(state: State): Partial<State>;
        onReset(): void;
        onSubmit(event?: import("react").SyntheticEvent): Promise<unknown>;
        render(): import("react").JSX.Element;
        context: unknown;
        setState<K extends keyof State>(state: State | ((prevState: Readonly<State>, props: Readonly<Props>) => State | Pick<State, K> | null) | Pick<State, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Props>;
        state: Readonly<State>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
    };
    Quick: typeof import("uniforms").Quick;
    displayName: string;
    defaultProps: {
        autosave: boolean;
        autosaveDelay: number;
        error: null;
        model: any;
        noValidate: boolean;
        onSubmit(): void;
    };
    contextType?: import("react").Context<any> | undefined;
} & typeof import("uniforms").BaseForm;
export default _default;
//# sourceMappingURL=ValidatedQuickForm.d.ts.map